require 'class_extensions'

class OsmNode
  @@all_nodes = {}
  attr_reader :json, :osmid, :lat, :lon, :tags

  def self.create_from_json(json)
    @@all_nodes[json['id']] = OsmNode.new(json)
  end
  
  def initialize(ajson)
    @json = ajson
    @osmid = @json['id']
    @lon = @json['lon']
    @lat = @json['lat']
    @tags = @json['tags']
  end
  
  def self.find(id)
    result = @@all_nodes[id] 
    raise "Uzel s tímto osmid (#{id}) není v databázi" if result.nil?
    return result
  end
  
  def self.all
    @@all_nodes.values
  end
  
  def coordinates; [@lat,@lon] end
  
end